Templates (gCube Templates Portlet 4.5.0-SNAPSHOT API)
Date: 2013-12-11

org.gcube.portlets.user.templates.client

## Class Templates

- java.lang.Object
- - org.gcube.portlets.user.templates.client.Templates

- All Implemented Interfaces:
    com.google.gwt.core.client.EntryPoint

      public class Templates
      extends Object
      implements com.google.gwt.core.client.EntryPoint

  Entry point classes define `onModuleLoad()`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `HEADER_HEIGHT`
    `static int` | `PAGE_LEFT`
    `static Templates` | `singleton`
    `static int` | `TEMPLATE_LEFT`
    `static int` | `TEMPLATE_TOP`
    `static int` | `TOOLBOX_LEFT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Templates()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Templates` | `get()`
    `com.google.gwt.user.client.ui.HTML` | `getDivHidden()`
    `HeaderBar` | `getHeader()`
    `com.google.gwt.user.client.ui.VerticalPanel` | `getMainLayout()`
    `com.google.gwt.user.client.ui.ScrollPanel` | `getScrollerPanel()`
    `TitleBar` | `getTitleHeader()`
    `com.google.gwt.user.client.ui.VerticalPanel` | `getToolbarPanel()`
    `void` | `onModuleLoad()` This is the entry point method.
    `void` | `setDivHidden(com.google.gwt.user.client.ui.HTML divHidden)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HEADER_HEIGHT

          public static final int HEADER_HEIGHT

      See Also:
        Constant Field Values

    - #### PAGE_LEFT

          public static final int PAGE_LEFT

      See Also:
        Constant Field Values

    - #### TOOLBOX_LEFT

          public static final int TOOLBOX_LEFT

      See Also:
        Constant Field Values

    - #### TEMPLATE_LEFT

          public static final int TEMPLATE_LEFT

      See Also:
        Constant Field Values

    - #### TEMPLATE_TOP

          public static final int TEMPLATE_TOP

      See Also:
        Constant Field Values

    - #### singleton

          public static Templates singleton

  - ### Constructor Detail

    - #### Templates

          public Templates()

  - ### Method Detail

    - #### get

          public static Templates get()

      Returns:
        .

    - #### onModuleLoad

          public void onModuleLoad()

      This is the entry point method.
      Specified by:
        `onModuleLoad` in interface `com.google.gwt.core.client.EntryPoint`

    - #### getMainLayout

          public com.google.gwt.user.client.ui.VerticalPanel getMainLayout()

      Returns:
        .

    - #### getHeader

          public HeaderBar getHeader()

      Returns:
        .

    - #### getTitleHeader

          public TitleBar getTitleHeader()

      Returns:
        .

    - #### getToolbarPanel

          public com.google.gwt.user.client.ui.VerticalPanel getToolbarPanel()

      Returns:
        .

    - #### getDivHidden

          public com.google.gwt.user.client.ui.HTML getDivHidden()

    - #### setDivHidden

          public void setDivHidden(com.google.gwt.user.client.ui.HTML divHidden)

    - #### getScrollerPanel

          public com.google.gwt.user.client.ui.ScrollPanel getScrollerPanel()

Copyright © 2013. All Rights Reserved.